#------------------------------------------------------
build-jar:
  tags:
    - saif
  stage: build-jar
  script:
    - export VERSION_TAG=$(git show -s --format=%ct $CI_COMMIT_SHA)-$CI_COMMIT_SHORT_SHA
    - mvn versions:set -DnewVersion=$VERSION_TAG
    - echo $VERSION_TAG
    - mvn package
    - mv target/assignment-$VERSION_TAG.jar /tmp/assignment-$VERSION_TAG.jar
#  artifacts:
#    expire_in: 30 day
#    paths:
#      - target/assignment-*.jar
  only:
    refs:
      - branches
#-----------------------------------------------------
